package de.jottyfan.bico.modules.camp.model;

import java.io.Serializable;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;

/**
 *
 * @author jotty
 *
 */
public class RegistrationBean implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer pkRegistration;
	@NotBlank
	private String forename;
	@NotBlank
	private String surname;
	@NotBlank
	private String sex;
	@NotNull
	private Boolean barrierFree;

	private Boolean day0;
	private Boolean day1;
	private Boolean day2;
	private Boolean day3;
	private Boolean day4;

	private Boolean towels;
	private Boolean bedLinen;
	private Boolean cot;

	private String nutrition;
	private Integer driverProvidePlaces;
	private Boolean wantPlaceInCar;
	private String diseases;
	private Boolean requirePayment;

	@NotNull
	private Integer fkAge;

	public static final RegistrationBean withAllDays() {
		RegistrationBean bean = new RegistrationBean();
		bean.setDay0(true);
		bean.setDay1(true);
		bean.setDay2(true);
		bean.setDay3(true);
		bean.setDay4(true);
		return bean;
	}

	/**
	 * @return the forename
	 */
	public String getForename() {
		return forename;
	}

	/**
	 * @param forename the forename to set
	 */
	public void setForename(String forename) {
		this.forename = forename;
	}

	/**
	 * @return the surname
	 */
	public String getSurname() {
		return surname;
	}

	/**
	 * @param surname the surname to set
	 */
	public void setSurname(String surname) {
		this.surname = surname;
	}

	/**
	 * @return the sex
	 */
	public String getSex() {
		return sex;
	}

	/**
	 * @param sex the sex to set
	 */
	public void setSex(String sex) {
		this.sex = sex;
	}

	/**
	 * @return the pkRegistration
	 */
	public Integer getPkRegistration() {
		return pkRegistration;
	}

	/**
	 * @param pkRegistration the pkRegistration to set
	 */
	public void setPkRegistration(Integer pkRegistration) {
		this.pkRegistration = pkRegistration;
	}

	/**
	 * @return the barrierFree
	 */
	public Boolean getBarrierFree() {
		return barrierFree;
	}

	/**
	 * @param barrierFree the barrierFree to set
	 */
	public void setBarrierFree(Boolean barrierFree) {
		this.barrierFree = barrierFree;
	}

	/**
	 * @return the nutrition
	 */
	public String getNutrition() {
		return nutrition;
	}

	/**
	 * @param nutrition the nutrition to set
	 */
	public void setNutrition(String nutrition) {
		this.nutrition = nutrition;
	}

	/**
	 * @return the diseases
	 */
	public String getDiseases() {
		return diseases;
	}

	/**
	 * @param diseases the diseases to set
	 */
	public void setDiseases(String diseases) {
		this.diseases = diseases;
	}

	/**
	 * @return the driverProvidePlaces
	 */
	public Integer getDriverProvidePlaces() {
		return driverProvidePlaces;
	}

	/**
	 * @param driverProvidePlaces the driverProvidePlaces to set
	 */
	public void setDriverProvidePlaces(Integer driverProvidePlaces) {
		this.driverProvidePlaces = driverProvidePlaces;
	}

	/**
	 * @return the wantPlaceInCar
	 */
	public Boolean getWantPlaceInCar() {
		return wantPlaceInCar;
	}

	/**
	 * @param wantPlaceInCar the wantPlaceInCar to set
	 */
	public void setWantPlaceInCar(Boolean wantPlaceInCar) {
		this.wantPlaceInCar = wantPlaceInCar;
	}

	/**
	 * @return the requirePayment
	 */
	public Boolean getRequirePayment() {
		return requirePayment;
	}

	/**
	 * @param requirePayment the requirePayment to set
	 */
	public void setRequirePayment(Boolean requirePayment) {
		this.requirePayment = requirePayment;
	}

	/**
	 * @return the fkAge
	 */
	public Integer getFkAge() {
		return fkAge;
	}

	/**
	 * @param fkAge the fkAge to set
	 */
	public void setFkAge(Integer fkAge) {
		this.fkAge = fkAge;
	}

	/**
	 * @return the day0
	 */
	public Boolean getDay0() {
		return day0;
	}

	/**
	 * @param day0 the day0 to set
	 */
	public void setDay0(Boolean day0) {
		this.day0 = day0;
	}

	/**
	 * @return the day1
	 */
	public Boolean getDay1() {
		return day1;
	}

	/**
	 * @param day1 the day1 to set
	 */
	public void setDay1(Boolean day1) {
		this.day1 = day1;
	}

	/**
	 * @return the day2
	 */
	public Boolean getDay2() {
		return day2;
	}

	/**
	 * @param day2 the day2 to set
	 */
	public void setDay2(Boolean day2) {
		this.day2 = day2;
	}

	/**
	 * @return the day3
	 */
	public Boolean getDay3() {
		return day3;
	}

	/**
	 * @param day3 the day3 to set
	 */
	public void setDay3(Boolean day3) {
		this.day3 = day3;
	}

	/**
	 * @return the day4
	 */
	public Boolean getDay4() {
		return day4;
	}

	/**
	 * @param day4 the day4 to set
	 */
	public void setDay4(Boolean day4) {
		this.day4 = day4;
	}

	/**
	 * @return the towels
	 */
	public Boolean getTowels() {
		return towels;
	}

	/**
	 * @param towels the towels to set
	 */
	public void setTowels(Boolean towels) {
		this.towels = towels;
	}

	/**
	 * @return the bedLinen
	 */
	public Boolean getBedLinen() {
		return bedLinen;
	}

	/**
	 * @param bedLinen the bedLinen to set
	 */
	public void setBedLinen(Boolean bedLinen) {
		this.bedLinen = bedLinen;
	}

	/**
	 * @return the cot
	 */
	public Boolean getCot() {
		return cot;
	}

	/**
	 * @param cot the cot to set
	 */
	public void setCot(Boolean cot) {
		this.cot = cot;
	}
}
